using Prism.Ioc;
using Prism.Regions;
using System.Windows.Controls;

namespace PDF_Office.Views.EditTools.Redaction
{
    /// <summary>
    /// Interaction logic for RedactionContent
    /// </summary>
    public partial class RedactionContent : UserControl
    {
        private IContainerProvider containerProvider;
        public RedactionContent(IContainerProvider containerProvider)
        {
            InitializeComponent();
            this.containerProvider = containerProvider;
            var regionManager = containerProvider.Resolve<IRegionManager>();
            RegionManager.SetRegionManager(this, regionManager);
            RegionManager.UpdateRegions();
        }
    }
}
